4Suite™ API Documentation

# ► Module Ft.Xml.ThirdParty.Xvif.rngCoreTypeLib

Classes: stringType, tokenType

## Classes

class stringType(unicode)
  This class is strictly identical to the python's unicode type

  ### Methods inherited from class unicode

  __add__, __cmp__, __contains__, __getattribute__, __getitem__, __getnewargs__, __getslice__, __hash__, __len__, __mod__, __mul__, __new__, __repr__, __rmod__, __rmul__, __str__, capitalize, center, count, decode, encode, endswith, expandtabs, find, index, isalnum, isalpha, isdecimal, isdigit, islower, isnumeric, isspace, istitle, isupper, join, ljust, lower, lstrip, replace, rfind, rindex, rjust, rsplit, rstrip, split, splitlines, startswith, strip, swapcase, title, translate, upper, zfill

  ### Methods inherited from class object

  __delattr__, __init__, __reduce__, __reduce_ex__, __setattr__

  ### Members

  __dict__ = <attribute '__dict__' of 'stringType' objects>
  __weakref__ = <attribute '__weakref__' of 'stringType' objects>

  ### Members inherited from class object

  __class__
class tokenType(unicode)

  ### Methods

  __new__(...)
    staticmethod(function) -> method

        Convert a function to be a static method.

        A static method does not receive an implicit first argument.
        To declare a static method, use this idiom:

             class C:
                 def f(arg1, arg2, ...): ...
                 f = staticmethod(f)

        It can be called either on the class (e.g. C.f()) or on an instance
        (e.g. C().f()).  The instance is ignored except for its class.

        Static methods in Python are similar to those found in Java or C++.
        For a more advanced concept, see the classmethod builtin.

  ### Methods inherited from class unicode

  __add__, __cmp__, __contains__, __getattribute__, __getitem__, __getnewargs__, __getslice__, __hash__, __len__, __mod__, __mul__, __repr__, __rmod__, __rmul__, __str__, capitalize, center, count, decode, encode, endswith, expandtabs, find, index, isalnum, isalpha, isdecimal, isdigit, islower, isnumeric, isspace, istitle, isupper, join, ljust, lower, lstrip, replace, rfind, rindex, rjust, rsplit, rstrip, split, splitlines, startswith, strip, swapcase, title, translate, upper, zfill

  ### Methods inherited from class object

  __delattr__, __init__, __reduce__, __reduce_ex__, __setattr__

  ### Members

  __dict__ = <attribute '__dict__' of 'tokenType' objects>
  __weakref__ = <attribute '__weakref__' of 'tokenType' objects>

  ### Members inherited from class object

  __class__